# Typedef SelectableAminoAcidMatrix
An AminoAcid score matrix that can be "specialized" at run-time

Defined in | <seqan/score.h>
Signature | `using SelectableAminoAcidMatrix = Score<int, ScoreMatrix<AminoAcid, ScoreSpecSelectable> >;`

#### Dox Sources

    /*!
     * @typedef SelectableAminoAcidMatrix
     *
     * @headerfile <seqan/score.h>
     *
     * @brief An AminoAcid score matrix that can be "specialized" at run-time
     *
     * @signature using SelectableAminoAcidMatrix = Score<int,
     *            ScoreMatrix<AminoAcid, ScoreSpecSelectable> >;
     *
     * @fn SelectableAminoAcidMatrix#setScoreMatrixById
     *
     * @headerfile <seqan/score.h>
     *
     * @brief Set the substitution score matrix
     *
     * @signature void setScoreMatrixById(SelectableAminoAcidMatrix & sc,
     *            AminoAcidScoreMatrixID const id)
     *
     * @param[in,out] sc The score object to be modified.
     * @param[in] id The ID of the matrix (@link AminoAcidScoreMatrixID @endlink).
     *
     * @fn SelectableAminoAcidMatrix#getScoreMatrixId
     *
     * @headerfile <seqan/score.h>
     *
     * @brief Get the matrix ID from the dynamic matrix object.
     *
     * @signature AminoAcidScoreMatrixID getScoreMatrixId(SelectableAminoAcidMatrix
     *            const & sc)
     *
     * @param[in] sc The score object to be modified.
     */